<template>
    <div class="authorizationContainer">
        <div class="cardsBox">
            <div class="tabsBox">
                <div @click="toggleTab(true)" class="tabContainer" :class="{ active: tabSwich }">
                    <button>
                       Logowanie
                    </button>
                </div>
                <div @click="toggleTab(false)" class="tabContainer" :class="{ active: !tabSwich }">
                    <button>
                       Rejestracja
                    </button>
                </div>
            </div>
            <div class="contentBox">
                <div class="box loginBox" v-show="tabSwich">
                    <input class="textInput input input-bordered" type="text" placeholder="Login" name="username" required>
                    <input class="textInput input input-bordered" type="password" placeholder="Hasło" name="password" required>
                    <div class="rememberMeDiv">
                        <input type="checkbox" checked="checked" name="remember">
                        <label for="remember">zapamiętaj mnie</label>
                    </div>
                    <button type="submit" class="btn">Login</button>
                </div>
                <div class="box registerBox" v-show="!tabSwich">
                    <input class="textInput input input-bordered" type="text" placeholder="Login" name="username" required>
                    <input class="textInput input input-bordered" type="password" placeholder="Hasło" name="password" required>
                    <input class="textInput input input-bordered" type="password" placeholder="Powtórz hasło" name="password2" required>
                    <button type="submit" class="btn">Załóż konto</button>
                    <h4>Zaloguj się z pomocą:</h4>
                    <div class="socialLoginBox">
                        <button class="btn">twatter</button>
                        <button class="btn">fojsbuk</button>
                        <button class="btn">myspace</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
export default {
    data(){
        return{
            tabSwich: true
        }
    },
    methods: {
        toggleTab(state) {
            this.tabSwich = state
        }
    }
}
</script>

<style scoped>
.authorizationContainer {
    display: flex;
    justify-content: center;
    align-items: center;
}
.cardsBox {
    display: flex;
    flex-direction: column;
    margin: 2rem;
    box-shadow: 0 0 20px rgb(87, 82, 82);
    border-radius: 5px;
    width: auto;
    width: 40%;
}
.tabContainer {
    width: 50%;
}
.active {
    background: var(--main-orange);
}
.tabContainer:hover {
    background: rgba(67, 67, 67, 0.2);
    transition: 2s cubic-bezier(0.075, 0.82, 0.165, 1);
    cursor: pointer;
}
.tabContainer button {
    background: none;
    border: none;
}
.tabsBox{
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
}
.box {
    display: flex;
    flex-direction: column;
    margin: 2rem;
}
input {
    margin: .225rem;
}
</style>